boolean loadFileToArray(String fileName) {
  int plotFileNumber=fileIndex;
  File f = dataFile(fileName);
  String filePath = f.getPath();
  boolean exist = f.isFile();

  if (exist) {

    BufferedReader reader = createReader(fileName);
    String line = null;
    int lineCount=0;

    try {
      while ((line = reader.readLine()) != null) {
        lineCount++;
        String[] pieces = split(line, ",");
        cP[lineIndex] = int(pieces[3]);
        if (cP[lineIndex]==1) {
          cP[lineIndex]=0;
        }
        if (cP[lineIndex]==255) {
          cP[lineIndex]=1;
        }
        xP[lineIndex] = int(pieces[1]);
        yP[lineIndex] = int(pieces[2]);
        fN[lineIndex] = plotFileNumber;
        pfn=fN[lineIndex];

        if (cP[lineIndex]==1) {
          if (oldX==xP[lineIndex] && oldY==yP[lineIndex]) {
            xP[lineIndex]=constrain(xP[lineIndex]+1, 1, 220);
          }
        }

        oldX=xP[lineIndex];
        oldY=yP[lineIndex];

        if (int(pieces[0])!=3) { // skip calibration
          lineIndex++;
        }
      }
      if (lineCount<3) {
        emptyCount++;
        //println("lf2a: "+emptyCount+"  empty:"+fileIndex);
      }
      reader.close();
      
    } 
    catch (IOException e) {
      e.printStackTrace();
    }

    if (lineCount<10) {
      int toggle=1;
     /* cP[lineIndex]=  0;//toggle;
      xP[lineIndex] = 2;
      yP[lineIndex] = 100;
      fN[lineIndex] = pfn;
      lineIndex++;
      for (int i=1; i<10; i++) {
        cP[lineIndex]=  1;
        xP[lineIndex] = 2;
        yP[lineIndex] = 100;
        fN[lineIndex] = pfn;
        lineIndex++;
      }*/
      for (int i=20; i<200; i+=4) {
        if (toggle==0) {
          toggle=1;
        } else {
          toggle=0;
        }
        cP[lineIndex]=  toggle;
        xP[lineIndex] = i;
        yP[lineIndex] = 100;
        fN[lineIndex] = pfn;
        lineIndex++;
      }
      cP[lineIndex]=  0; 
      xP[lineIndex] = 218;
      yP[lineIndex] = 100;
      fN[lineIndex] = pfn;
      lineIndex++;
    }
  }
  return (exist);
}
