
void saveJs(String fileName) { // save plt's as js

  PrintWriter output;
  println("exporting: "+fileName);

  output = createWriter("vektordaten/"+fileName); 

  output.println("/***");
  output.println("*     ___      ___ _______   ___  __    _________  ________  ________  ___  __    ________  ___       ___       _______   ___  __    _________  ________  ________     ");
  output.println("*    |\\  \\    /  /|\\  ___ \\ |\\  \\|\\  \\ |\\___   ___\\\\   __  \\|\\   __  \\|\\  \\|\\  \\ |\\   __  \\|\\  \\     |\\  \\     |\\  ___ \\ |\\  \\|\\  \\ |\\___   ___\\\\   __  \\|\\   __  \\    ");
  output.println("*    \\ \\  \\  /  / | \\   __/|\\ \\  \\/  /|\\|___ \\  \\_\\ \\  \\|\\  \\ \\  \\|\\  \\ \\  \\/  /|\\ \\  \\|\\  \\ \\  \\    \\ \\  \\    \\ \\   __/|\\ \\  \\/  /|\\|___ \\  \\_\\ \\  \\|\\  \\ \\  \\|\\  \\   ");
  output.println("*     \\ \\  \\/  / / \\ \\  \\_|/_\\ \\   ___  \\   \\ \\  \\ \\ \\  \\\\\\  \\ \\   _  _\\ \\   ___  \\ \\  \\\\\\  \\ \\  \\    \\ \\  \\    \\ \\  \\_|/_\\ \\   ___  \\   \\ \\  \\ \\ \\  \\\\\\  \\ \\   _  _\\  ");
  output.println("*      \\ \\    / /   \\ \\  \\_|\\ \\ \\  \\\\ \\  \\   \\ \\  \\ \\ \\  \\\\\\  \\ \\  \\\\  \\\\ \\  \\\\ \\  \\ \\  \\\\\\  \\ \\  \\____\\ \\  \\____\\ \\  \\_|\\ \\ \\  \\\\ \\  \\   \\ \\  \\ \\ \\  \\\\\\  \\ \\  \\\\  \\| ");
  output.println("*       \\ \\__/ /     \\ \\_______\\ \\__\\\\ \\__\\   \\ \\__\\ \\ \\_______\\ \\__\\\\ _\\\\ \\__\\\\ \\__\\ \\_______\\ \\_______\\ \\_______\\ \\_______\\ \\__\\\\ \\__\\   \\ \\__\\ \\ \\_______\\ \\__\\\\ _\\ ");
  output.println("*        \\|__|/       \\|_______|\\|__| \\|__|    \\|__|  \\|_______|\\|__|\\|__|\\|__| \\|__|\\|_______|\\|_______|\\|_______|\\|_______|\\|__| \\|__|    \\|__|  \\|_______|\\|__|\\|__|");
  output.println("*");                                                                                                                                                                      
  output.println("*");
  output.println("*       This file contains a list of vector drawings in the form of coordinates.");
  output.println("*        The vectors were collected by Kati Hyyppa [http://katihyyppa.com] & Niklas Roy [https://niklasroy.com] with the VEKTORKOLLEKTOR [http://vektorkollektor.com].");
  output.println("*         Legend: xP[] = x-coordinate // yP[] = y-coordinate // cP[] = draw // fN[] = original vektorkollektor .PLT file number");                                                                                                                                                                      
  output.println("*");

  if (fileName=="vektorkollektor_optimized.js")
  {
    output.println("*           This is an OPTIMIZED DATASET: Double lines and intermediate coordinates in straight lines are deleted.");
    output.println("*");
    output.println("*             The content of this file is in the PUBLIC DOMAIN / License: CC0");                                                                                                                                                                      
    output.println("*/");
  } else {
    output.println("*           The content of this file is in the PUBLIC DOMAIN / License: CC0");                                                                                                                                                                      
    output.println("*/");
  }






  output.print("var xP = [");
  for (int i=0; i<lineIndex; i++) {  
    output.print(xP[i]+","); // Write the x-coordinate to the js array
  }
  output.println(xP[lineIndex]+"];");

  output.print("var yP = [");
  for (int i=0; i<lineIndex; i++) {  
    output.print(yP[i]+","); // Write the y-coordinate to the js array
  }
  output.println(yP[lineIndex]+"];");

  output.print("var cP = [");
  for (int i=0; i<lineIndex; i++) {  
    output.print(cP[i]+","); // Write the command to the js array
  }
  output.println(cP[lineIndex]+"];");

  output.print("var fN = [");
  for (int i=0; i<lineIndex; i++) {  
    output.print(fN[i]+","); // Write the plot file number to the js array
  }
  output.println(fN[lineIndex]+"];");

  output.flush();  
  output.close();
}
